## jxtray
Class CustomFileFilter

    java.lang.Object
      javax.swing.filechooser.FileFilter
          jxtray.CustomFileFilter

public class CustomFileFilter
extends javax.swing.filechooser.FileFilter

CustomFileFilter class. This class allow to filter some types of files Use it with the JFileChooser.

Constructor Summary
`CustomFileFilter(java.lang.String description, java.lang.String filterExtension)` Constructor

Method Summary
`boolean` `accept(java.io.File f)` Override method : from FileFilter interface
`java.lang.String` `getDescription()` Return the filter description
`java.lang.String` `getExtension()` Return the file extension

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomFileFilter

    public CustomFileFilter(java.lang.String description,
                            java.lang.String filterExtension)

  Constructor

Method Detail

### accept

    public boolean accept(java.io.File f)

  Override method : from FileFilter interface

### getDescription

    public java.lang.String getDescription()

  Return the filter description

  Returns:
    String

### getExtension

    public java.lang.String getExtension()

  Return the file extension

  Returns:
    String